Dosyaları işlenmek ve Bilgi Tabanına makale olarak eklenmek üzere yükleyin.
PDF yükleme
Section titled “PDF yükleme”POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/pdf
Bir PDF dosyası yükleyin. İçerik çıkarılır ve makale olarak eklenir.
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/pdf \ -H 'Authorization: Bearer <API_TOKEN>' \ -F 'pdf_file=@document.pdf'import requests
with open("document.pdf", "rb") as f: response = requests.post( url="https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/pdf", headers={"Authorization": "Bearer <API_TOKEN>"}, files={"pdf_file": f}, )data = response.json()Yanıt 200 OK
{ "status": "success", "message": "File processed successfully.", "article": { "id": 1234, "title": "document.pdf" }}| Alan | Açıklama |
|---|---|
status dize | İşleme durumu |
message dize | İnsanların okuyabileceği sonuç mesajı |
article nesne | Oluşturulan makale |
Dosya yükleme
Section titled “Dosya yükleme”POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/
Desteklenen bir dosya (PDF, DOCX) yükleyin. İçerik çıkarılır ve makale olarak eklenir.
curl -X POST https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/ \ -H 'Authorization: Bearer <API_TOKEN>' \ -F 'file=@document.docx'import requests
with open("document.docx", "rb") as f: response = requests.post( url="https://app.quickchat.ai/v1/api/knowledge_base/file_upload_api/", headers={"Authorization": "Bearer <API_TOKEN>"}, files={"file": f}, )data = response.json()Yanıt 200 OK: PDF yükleme ile aynı şema.